Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZSimplifiedXMLInput Class Reference
Inheritance diagram for eZSimplifiedXMLInput:

## Public Member Functions
| __construct ( $xmlData, $aliasedType, $contentObjectAttribute)
| validateInput ( $http, $base, $contentObjectAttribute)
| inputXML ()
Public Member Functions inherited from eZXMLInputHandler
| attributes ()
| hasAttribute ( $name)
| attribute ( $name)
| editTemplateName ()
| informationTemplateName ()
| customObjectAttributeHTTPAction ( $http, $action, $contentObjectAttribute)
| isValid ()
| editTemplateSuffix (&$contentobjectAttribute)
| informationTemplateSuffix (&$contentobjectAttribute)
| xmlData ()
| convertInput ( $text)

## Static Public Member Functions
static | updateUrlObjectLinks ( $contentObjectAttribute, $urlIDArray)

## Public Attributes
| $IsInputValid
Public Attributes inherited from eZXMLInputHandler
| $XMLData
| $AliasedType
| $AliasedHandler
| $ContentObjectAttribute

## Detailed Description

Definition at line 11 of file ezsimplifiedxmlinput.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZSimplifiedXMLInput::__construct | ( |  | $xmlData,
|  |  | $aliasedType,
|  |  | $contentObjectAttribute
| ) |  |

Constructor

Parameters

  string | $xmlData |
  string | $aliasedType |
  eZContentObjectAttribute | $contentObjectAttribute |

Reimplemented from eZXMLInputHandler.

Definition at line 13 of file ezsimplifiedxmlinput.php.

## Member Function Documentation

## ◆ inputXML()

eZSimplifiedXMLInput::inputXML | ( |  | ) |
| virtual

Returns the input XML representation of the datatype.

Implements eZXMLInputHandler.

Definition at line 126 of file ezsimplifiedxmlinput.php.

References eZXMLInputHandler\$ContentObjectAttribute, eZDebugSetting\changeLabel(), eZDebugSetting\isConditionTrue(), eZDebug\LEVEL_DEBUG, and eZDebug\writeDebug().

## ◆ updateUrlObjectLinks()

static eZSimplifiedXMLInput::updateUrlObjectLinks | ( |  | $contentObjectAttribute,
|  |  | $urlIDArray
| ) |  |
| static

Updates URL - object links.

Definition at line 26 of file ezsimplifiedxmlinput.php.

References eZURLObjectLink\create(), eZURLObjectLink\fetch(), and eZURLObjectLink\fetchLinkObjectList().

Referenced by eZXMLTextType\onPublish(), and validateInput().

## ◆ validateInput()

eZSimplifiedXMLInput::validateInput | ( |  | $http,
|  |  | $base,
|  |  | $contentObjectAttribute
| ) |  |
| virtual

Validates the input and returns true if the input was valid for this datatype.

Implements eZXMLInputHandler.

Definition at line 54 of file ezsimplifiedxmlinput.php.

References eZXMLTextType\domString(), eZXMLInputParser\ERROR_ALL, eZContentObject\RELATION_EMBED, eZContentObject\RELATION_LINK, eZInputValidator\STATE_ACCEPTED, eZInputValidator\STATE_INVALID, ezpI18n\tr(), updateUrlObjectLinks(), and eZDebugSetting\writeDebug().

## Member Data Documentation

## ◆ $IsInputValid

eZSimplifiedXMLInput::$IsInputValid

Definition at line 152 of file ezsimplifiedxmlinput.php.

The documentation for this class was generated from the following file:

- ezsimplifiedxmlinput.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.